import { SelectableMixinInterface } from './SelectableMixin';
declare type Constructor<T = {}> = new (...args: any[]) => T;
export declare class SelectOnlyMixinInterface extends SelectableMixinInterface {
    selectOnly: boolean;
}
/**
 * This mixin partly provides the select-only functionality.
 * Each component still need to implement its own code for disabling interaction when select only is active.
 *
 * @param {Object} superClass - superclass to be extended.
 * @mixin
 */
export declare const SelectOnlyMixin: <T extends Constructor<SelectableMixinInterface>>(superClass: T) => Constructor<SelectOnlyMixinInterface> & T;
export {};
